Bug 441589 - X server (intel) crashes on some compiz operations
X server (intel) crashes on some compiz operations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 16:37 EDT by Axel Thimm
Modified: 2009-07-14 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf for which the server crashed with the next Xorg.0.log output (1.29 KB, text/plain)
2008-04-10 10:11 EDT, Axel Thimm
no flags Details
One Xorg.0.log file from a crash (25.67 KB, text/plain)
2008-04-10 10:12 EDT, Axel Thimm
no flags Details
Another Xorg.0.log file from another crash (25.61 KB, text/plain)
2008-04-10 10:13 EDT, Axel Thimm
no flags Details
Xorg log w/o any xorg.conf (26.98 KB, text/plain)
2008-04-10 10:14 EDT, Axel Thimm
no flags Details
Xorg log w/ latest rawhide bits (22.81 KB, application/octet-stream)
2008-04-10 10:42 EDT, Axel Thimm
no flags Details

  None (edit)
Description Axel Thimm 2008-04-08 16:37:08 EDT
This is a simple system-config-display intel setup on a GM965. When moving for
example the cursor to the topright for creating the window view the server may
sometimes crash with

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479d75]
1: /lib64/libc.so.6 [0x3eb7432f80]
2: /lib64/libc.so.6(memcpy+0x15b) [0x3eb7484f2b]
3: /usr/lib64/dri/i965_dri.so [0x37bf191]
4: /usr/lib64/dri/i965_dri.so [0x37bf078]
5: /usr/lib64/dri/i965_dri.so [0x37bf078]
6: /usr/lib64/dri/i965_dri.so [0x37bf078]
7: /usr/lib64/dri/i965_dri.so [0x37bf364]
8: /usr/lib64/dri/i965_dri.so [0x37bfb87]
9: /usr/lib64/dri/i965_dri.so [0x37d4747]
10: /usr/lib64/dri/i965_dri.so [0x37d56dd]
11: /usr/lib64/dri/i965_dri.so [0x38643f6]
12: /usr/lib64/xorg/modules/extensions//libglx.so [0xc0c4f1]
13: /usr/lib64/xorg/modules/extensions//libglx.so [0xbdd337]
14: /usr/lib64/xorg/modules/extensions//libglx.so [0xbdc2f2]
15: /usr/lib64/xorg/modules/extensions//libglx.so [0xbe0702]
16: /usr/bin/Xorg(Dispatch+0x364) [0x446374]
17: /usr/bin/Xorg(main+0x45d) [0x42c85d]
18: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3eb741e40a]
19: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42bc39]

Fatal server error:
Caught signal 11.  Server aborting

This is with version
xorg-x11-drv-i810-2.2.1-19.fc9.x86_64
Comment 1 Matěj Cepl 2008-04-09 05:53:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Axel Thimm 2008-04-10 10:11:40 EDT
Created attachment 301989 [details]
xorg.conf for which the server crashed with the next Xorg.0.log output
Comment 3 Axel Thimm 2008-04-10 10:12:42 EDT
Created attachment 301990 [details]
One Xorg.0.log file from a crash
Comment 4 Axel Thimm 2008-04-10 10:13:32 EDT
Created attachment 301991 [details]
Another Xorg.0.log file from another crash
Comment 5 Axel Thimm 2008-04-10 10:14:24 EDT
Created attachment 301992 [details]
Xorg log w/o any xorg.conf
Comment 6 Axel Thimm 2008-04-10 10:42:17 EDT
Created attachment 301998 [details]
Xorg log w/ latest rawhide bits

I just upgraded to the latest rawhide bits and reproduced this bug w/ latest
kernel and intel drv.
Comment 7 Axel Thimm 2008-04-10 10:43:57 EDT
This now happens more and more often, even when the system simply tries to go
into screensaver/sleeping mode.
Comment 8 Bug Zapper 2008-05-14 05:09:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 20:05:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:35:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.